# DataExchange
TKIGES
GeomToIGES

# GeomToIGES_GeomVector Class Reference

This class implements the transfer of the Vector from Geom
to IGES . These can be :
. Vector
* Direction
* VectorWithMagnitude
.

`#include <GeomToIGES_GeomVector.hxx>`

Inheritance diagram for GeomToIGES_GeomVector:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToIGES_GeomVector ()
Standard_EXPORT | GeomToIGES_GeomVector (const GeomToIGES_GeomEntity &GE)
| Creates a tool GeomVector ready to run and sets its fields as GE's. .
Standard_EXPORT Handle_IGESGeom_Direction | TransferVector (const Handle(Geom_Vector)&start)
| Transfert a GeometryEntity which answer True to the member : BRepToIGES::IsGeomVector(Geometry). If this Entity could not be converted, this member returns a NullEntity. .
Standard_EXPORT Handle_IGESGeom_Direction | TransferVector (const Handle(Geom_VectorWithMagnitude)&start)
Standard_EXPORT Handle_IGESGeom_Direction | TransferVector (const Handle(Geom_Direction)&start)

## Constructor & Destructor Documentation

Standard_EXPORT GeomToIGES_GeomVector::GeomToIGES_GeomVector | ( |  | ) |

Standard_EXPORT GeomToIGES_GeomVector::GeomToIGES_GeomVector | ( | const GeomToIGES_GeomEntity & | GE | ) |

## Member Function Documentation

void GeomToIGES_GeomVector::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToIGES_GeomEntity.

void* GeomToIGES_GeomVector::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToIGES_GeomEntity.

void* GeomToIGES_GeomVector::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToIGES_GeomEntity.

Standard_EXPORT Handle_IGESGeom_Direction GeomToIGES_GeomVector::TransferVector | ( | const Handle(Geom_Direction)& | start | ) |

Standard_EXPORT Handle_IGESGeom_Direction GeomToIGES_GeomVector::TransferVector | ( | const Handle(Geom_VectorWithMagnitude)& | start | ) |

Standard_EXPORT Handle_IGESGeom_Direction GeomToIGES_GeomVector::TransferVector | ( | const Handle(Geom_Vector)& | start | ) |

The documentation for this class was generated from the following file:

- GeomToIGES_GeomVector.hxx